# BIN Monitoring API

A breach or exposure refers to any unintended release of user information and personally identifiable information (PII) on the Internet. This could be due to a data breach at a site, malware that has captured user data, etc. An exposure occurs when this stolen data is then trafficked, shared or sold in some public or private venue.  Enzoic routinely scours the web looking for this data and catalogues it into its database. Every time a collection of data is found, this is added as a new breach/exposure in our database.

Enzoic's BIN Monitoring API allows you to register your financial institution's Bank Identification Numbers (BINs) with Enzoic, so that you can be notified about future breaches containing payment card numbers associated with these BINs.

Monitored breach notifications will be made to a webhook URL you establish with Enzoic. See the [Webhooks](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/breach-monitoring-api/webhooks) section for more details. For general information on webhooks, see [webhooks.org.](https://webhooks.pbworks.com/w/page/13385124/FrontPage)

Alternatively, you can use the [BIN Exposures API](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api/retrieving-exposed-payment-cards) call to periodically retrieve newly found payment card numbers if implementing a webhook is not feasible.

BIN Monitoring is not enabled by default on new accounts and is not available in a free tier.  Please [contact sales](https://www.enzoic.com/contact-us) for more information if you are interested in subscribing to this service.

{% content-ref url="bin-monitoring-api/monitoring-bins" %}
[monitoring-bins](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api/monitoring-bins)
{% endcontent-ref %}

{% content-ref url="bin-monitoring-api/retrieving-exposed-payment-cards" %}
[retrieving-exposed-payment-cards](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api/retrieving-exposed-payment-cards)
{% endcontent-ref %}

{% content-ref url="bin-monitoring-api/webhooks" %}
[webhooks](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api/webhooks)
{% endcontent-ref %}

{% content-ref url="bin-monitoring-api/webhooks/webhook-test-api" %}
[webhook-test-api](https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api/webhooks/webhook-test-api)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enzoic.com/enzoic-api-developer-documentation/api-reference/bin-monitoring-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
